Skip to main content
GET
/
s
/
job
/
shipments
/
csv_export
Shipments - Csv Export
curl --request GET \
  --url https://app.skulabs.com/s/job/shipments/csv_export \
  --header 'Authorization: Bearer <token>'
{
  "shipment": "<string>",
  "shipment_items": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

store_ids
string[]
required

Store IDs to export shipments from

Example:
["507f1f77bcf86cd799439011"]
start
string
required

Start date (ISO 8601)

Example:

"2025-01-01T00:00:00.000Z"

end
string
required

End date (ISO 8601)

Example:

"2025-01-31T23:59:59.000Z"

warehouse_ids
string[]

Filter by warehouse IDs

options
object

CSV export options

Response

Presigned S3 URLs for the generated CSV files

shipment
string

S3 URL for shipments CSV export

shipment_items
string

S3 URL for shipment items CSV export